
{*******************************************************}
{                 Any Library Demo                      }
{                                                       }
{         Copyright (c) 2004-2009  AnySoft              }
{               http://www.anylib.com                   }
{*******************************************************}

unit DemoForm;

interface                       
{$I AnyLib.Inc}
uses
  Windows, Messages, SysUtils,{$IFDEF Delphi6} Variants,{$ENDIF} Classes,
  Graphics, Controls, Forms,
  Dialogs, Menus, StdCtrls, ExtCtrls;

type                               
  TfrmDemo = class(TForm)
    MainMenu1: TMainMenu;
    File1: TMenuItem;            
    Invoice1: TMenuItem;       
    Excel1: TMenuItem;
    CardView1: TMenuItem;
    Design1: TMenuItem;
    N3: TMenuItem;
    Main1: TMenuItem;
    CutomTitle1: TMenuItem;
    BankDeposit1: TMenuItem;
    BankAdvice1: TMenuItem;
    CustomTitle11: TMenuItem;
    N1: TMenuItem;
    N2: TMenuItem;
    OLE1: TMenuItem;
    N5: TMenuItem;
    N6: TMenuItem;
    N4: TMenuItem;
    N7: TMenuItem;
    N8: TMenuItem;
    N9: TMenuItem;
    N21: TMenuItem;
    N10: TMenuItem;
    N11: TMenuItem;
    N12: TMenuItem;
    procedure CardView1Click(Sender: TObject);
    procedure Invoice1Click(Sender: TObject);
    procedure Excel1Click(Sender: TObject);
    procedure Design1Click(Sender: TObject);
    procedure Main1Click(Sender: TObject);
    procedure CutomTitle1Click(Sender: TObject);
    procedure BankDeposit1Click(Sender: TObject);
    procedure BankAdvice1Click(Sender: TObject);
    procedure CustomTitle11Click(Sender: TObject);
    procedure OLE1Click(Sender: TObject);
    procedure N2Click(Sender: TObject);
    procedure N1Click(Sender: TObject);
    procedure N4Click(Sender: TObject);
    procedure N7Click(Sender: TObject);
    procedure N8Click(Sender: TObject);
    procedure N9Click(Sender: TObject);
    procedure N21Click(Sender: TObject);
    procedure N10Click(Sender: TObject);
    procedure N11Click(Sender: TObject);
    procedure N12Click(Sender: TObject);
  private
    { Private declarations }
  public                            
    { Public declarations }
  end;

var
  frmDemo: TfrmDemo;
                            
implementation
                
uses CardView, Invoice, Excel, BaseForm, Main, Grid, Deposit,
  BankAdvice, CustomTitle,OleChart, VirtualGrid,Teaching, GroupForm,
  LinkDataForm, ColumnsForm, ComplexForm, MasterDBForm, MasterDetailForm,
  ComplexReportForm, NormalForm;

{$R *.dfm}

procedure TfrmDemo.CardView1Click(Sender: TObject);
begin
  with TfrmCardView.Create(Self) do  
    Show;
end;

procedure TfrmDemo.Invoice1Click(Sender: TObject);
begin
  with TfrmInvoice.Create(Self) do
    Show;
end;

procedure TfrmDemo.Excel1Click(Sender: TObject);
begin
  with TfrmExcel.Create(Self) do
    Show;
end;                                    

procedure TfrmDemo.Design1Click(Sender: TObject);
begin
  with TfrmCardView.Create(Self) do
    AnyGrid.DesignCells;
end;

procedure TfrmDemo.Main1Click(Sender: TObject);
begin
  with TfrmMain.Create(Self) do
    Show;
end;

procedure TfrmDemo.CutomTitle1Click(Sender: TObject);
begin
  with TfrmCustomTitle.Create(Self) do
    Show
end;

procedure TfrmDemo.BankDeposit1Click(Sender: TObject);
begin
  with TfrmDeposit.Create(Self) do
    Show;
end;

procedure TfrmDemo.BankAdvice1Click(Sender: TObject);
begin
  with TfrmBankAdvice.Create(Self) do
    Show;
end;

procedure TfrmDemo.CustomTitle11Click(Sender: TObject);
begin
  with TfrmGrid.Create(Self) do
    Show;
end;

procedure TfrmDemo.OLE1Click(Sender: TObject);
begin
  with TfrmOleChart.Create(Self) do
    Show;
end;

procedure TfrmDemo.N2Click(Sender: TObject);
begin
  with TfrmVirtualGrid.Create(Self) do
    Show;
end;

procedure TfrmDemo.N1Click(Sender: TObject);
begin
  with TfrmTeaching.Create(Self) do
    Show;
end;

procedure TfrmDemo.N4Click(Sender: TObject);
begin
  with TfrmGroup.Create(Self) do
    Show;
end;

procedure TfrmDemo.N7Click(Sender: TObject);
begin
  with TfrmLinkData.Create(Self) do
    Show;
end;

procedure TfrmDemo.N8Click(Sender: TObject);
begin
  with TfrmColumns.Create(Self) do
    Show;
end;

procedure TfrmDemo.N9Click(Sender: TObject);
begin
  with TfrmComplex.Create(Self) do
    Show;
end;

procedure TfrmDemo.N21Click(Sender: TObject);
begin
  with TfrmMasterDB.Create(Self) do
    Show;
end;

procedure TfrmDemo.N10Click(Sender: TObject);
begin
  with TfrmMasterDetail.Create(Self) do
    Show
end;

procedure TfrmDemo.N11Click(Sender: TObject);
begin
  with TfrmComplexReport.Create(Self) do
    Show
end;

procedure TfrmDemo.N12Click(Sender: TObject);
begin
  with TfrmNormal.Create(Self) do
    Show
end;

end.
